﻿/**
 * Graph object.
 *
 * @author Viktoras Agejevas
 * @copyright Viktoras Agejevas 2005 - 2009
 */
function Graph(height, length, hOffset, vOffset, color) {
	this.data = new Array(length);
	this.height = height;
	this.scale = Math.round(100 / height);
	
	for (i = 0; i < length; i++) {
		var bar = new Image();
		bar.src = "resources/images/pixel.png";
		bar.hOffset = i + hOffset
		bar.vOffset = vOffset;
		bar.vAlign = "bottom";
		bar.width = 1;
		bar.height = 0;
		bar.colorize = "#ffffff";
		bar.style.opacity = 1.0;
		this.data[i] = bar;
	}
	
	
	this.update = function(value) {	
		value = value > 100 ? 100 : value;
		
		for (i = 0; i < length - 1; i++) {
			this.data[i].height =  this.data[i + 1].height;
		}
		
		this.data[length - 1].height = Math.round(value / this.scale);
	}
	
	this.setColor = function(color) {
		for (i = 0; i < this.data.length; i++) {
			this.data[i].colorize = color;
		}
	}
	
	this.getFrame = function(parent) {
		var frame = new Frame();

		for (i = 0; i < this.data.length; i++) {
			frame.appendChild(this.data[i]);
		}
		return frame;
	}
}
